package com.yc.ship.module.trade.service.pda;


import com.yc.ship.framework.common.pojo.CommonResult;
import com.yc.ship.module.trade.controller.admin.order.vo.check.CheckOrderPageVO;
import com.yc.ship.module.trade.controller.app.pda.vo.PdaQueryOrderReqVO;
import com.yc.ship.module.trade.controller.app.pda.vo.PdaQueryVoucherReqVO;

import javax.servlet.http.HttpServletRequest;

/**
 * Pda接口
 *
 */
public interface PdaService {


    CommonResult<?> getSiteChannel(HttpServletRequest request);


    CommonResult<?> queryVoucher(PdaQueryVoucherReqVO reqVO);

    CommonResult<?> queryOrder(PdaQueryOrderReqVO reqVO);

    CommonResult<?> queryOrderWithoutSiteNum(CheckOrderPageVO reqVO);
    CommonResult<?> queryOrderGuideWithoutSiteNum(CheckOrderPageVO reqVO);

    CommonResult<?> queryVoucherWithoutSiteNum(CheckOrderPageVO reqVO);
}



